# Generated by Django 4.1.5 on 2023-01-10 14:55

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("auths", "0002_membership_user_membership"),
        ("websites", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="WebsiteMembership",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "max_number",
                    models.PositiveIntegerField(default=1, verbose_name="max number"),
                ),
                (
                    "membership",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="websites",
                        to="auths.membership",
                    ),
                ),
            ],
            options={
                "verbose_name": "website membership",
                "verbose_name_plural": "website memberships",
            },
        ),
    ]
